org.eclipse.team.ui.synchronize

## Class SubscriberParticipantWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.team.ui.synchronize.ParticipantSynchronizeWizard
    - - org.eclipse.team.ui.synchronize.SubscriberParticipantWizard

All Implemented Interfaces:
  IShellProvider, IWizard

    public abstract class SubscriberParticipantWizard
    extends ParticipantSynchronizeWizard

This is a convenience class for creating wizards for use with the `org.eclipse.team.ui.synchronizeWizard` extension point that create a `SubscriberParticipant`.

Since:
  3.2

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
Constructor and Description
`SubscriberParticipantWizard()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `createParticipant()` Method called from `ParticipantSynchronizeWizard.performFinish()` to create a participant.
`protected abstract SubscriberParticipant` `createParticipant(ISynchronizeScope scope)` Method called from `createParticipant()` to create a `SubscriberParticipant` for the given scope.
`protected WizardPage` `createScopeSelectionPage()` Create the page which allows the user to select the scope for the operation.

### Methods inherited from class org.eclipse.team.ui.synchronize.ParticipantSynchronizeWizard

`addPages, canFinish, getImportWizard, getNextPage, getPageTitle, getRootResources, getStartingPage, getWindowTitle, performCancel, performFinish`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscriberParticipantWizard

    public SubscriberParticipantWizard()

### Method Detail

#### createScopeSelectionPage

    protected final WizardPage createScopeSelectionPage()

Description copied from class: `ParticipantSynchronizeWizard`
Create the page which allows the user to select the scope for the operation.

Specified by:
  `createScopeSelectionPage` in class `ParticipantSynchronizeWizard`
Returns:
  the page which allows the user to select the scope for the operation

#### createParticipant

    protected final void createParticipant()

Description copied from class: `ParticipantSynchronizeWizard`
Method called from `ParticipantSynchronizeWizard.performFinish()` to create a participant. This participant will be added to the Synchronize view.

Specified by:
  `createParticipant` in class `ParticipantSynchronizeWizard`

#### createParticipant

    protected abstract SubscriberParticipant createParticipant(ISynchronizeScope scope)

Method called from `createParticipant()` to create a `SubscriberParticipant` for the given scope.

Parameters:
  `scope` - the selected scope
Returns:
  a synchronize participant that will be added to the Synchronize view